EDIT - feature request #5983

Better parsing of hybrid names
07/18/2016 04:34 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 80%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.6

Severity: normal

Description

With the "new" rules from #3868 it is now easier to distinguish hybrids names and hybrid formulas.

E.g. Abies alba x beta is now parsable as hybrid formula for parents Abies alba and Abies beta.
Also Abies x alba is now parsable as clearly a hybrid name. Maybe some more issues are defined now.

In FM #6410 we have names like Nepenthes mirabilis x N. alata that should be parsable.

Searching for "Orchis" in Flora of Cyprus gives e.g.

Orchis coriophora subsp. fragrans x sancta

Orchis coriophora x sancta

Orchis morio subsp. syriaca x papilionacea subsp. schirvanica
Orchis x Serapias

We guess Orchis morio subsp. syriaca \u00D7 var. schirvanica is also a valid hybrid formula of a subspecies and a variety.
Open issues:

¢ hybrid formulas for >2 names (see also #3868)

e female/male formulas

e major/minor formulas (see also #3868)

The open issues will be handled in a new ticket to be opened when relevant

Related issues:
Related to EDIT - feature request #2226: Discuss hybrids with 3 and 4 parents... New

Associated revisions

Revision a96a9d32 - 02/17/2017 04:09 PM - Andreas Miiller
ref #5983 and ref #6410 parsing of hybrid formulas with missing name parts

History

#1 - 07/18/2016 04:36 PM - Andreas Miuller

- Subject changed from Beeter parsing of hybrid names to Better parsing of hybrid names

Whitespace after species epithet hybrid sign implemented by r28704

#2 - 02/17/2017 11:19 AM - Andreas Miiller

- Description updated

- Status changed from New to In Progress

- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to COM UML 4.7
#4 - 02/17/2017 11:20 AM - Andreas Miiller
- Target version changed from CDM UML 4.7 to Release 4.6

#5 - 02/17/2017 02:56 PM - Andreas Miiller
- Description updated

- % Done changed from 0 to 20

#6 - 02/17/2017 03:05 PM - Andreas Miller

- Description updated

#8 - 02/17/2017 04:06 PM - Andreas Miller

- Description updated

#9 - 02/17/2017 04:12 PM - Andreas Miiller

- Description updated

- Status changed from In Progress to Resolved

- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 20 to 80

Please review if all relevant cases are covered by the new parser.

#11 - 02/17/2017 04:19 PM - Andreas Miiller

- Related to feature request #2226: Discuss hybrids with 3 and 4 parents with taxonomists. Also discuss "greater than" hybrids added

#12 - 02/17/2017 04:22 PM - Andreas Miiller

- Description updated

#13 - 02/17/2017 04:22 PM - Andreas Miiller
- Tags set to hybrid-taxa

#14 - 03/11/2017 10:57 PM - Andreas Miiller

- Private changed from Yes to No

#15 - 03/15/2017 12:36 PM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Miiller

looks fine, can't find a missing possible hybrid formular.
